<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mods	RHTAMI - Remove Hot Topic And Message Icons
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function RHTAMI_Displays(&$buffer)
{
	global $modSettings, $context, $txt, $topic;
	
	if (isset($_REQUEST['xml']) || $context['current_action'] == 'printpage') return $buffer;

	// Define the old and the new	
	$rhtami = array();
	if (function_exists('MessageIndex') || function_exists('QuickModeration')) {

	  foreach ($context['topics'] as $topic)
	  {
			// Is this topic pending approval, or does it have any posts pending approval?
			if ($context['can_approve_posts'] && $topic['unapproved_posts'])
				$color_class = !$topic['approved'] ? 'approvetbg' : 'approvebg';
			// We start with locked and sticky topics.
			elseif ($topic['is_sticky'] && $topic['is_locked'])
				$color_class = 'stickybg locked_sticky';
			// Sticky topics should get a different color, too.
			elseif ($topic['is_sticky'])
				$color_class = 'stickybg';
			// Locked topics get special treatment as well.
			elseif ($topic['is_locked'])
				$color_class = 'lockedbg';
			// Last, but not least: regular topics.
			else
				$color_class = 'windowbg';
				
		if (!empty($modSettings['rhti_enable']) || !empty($modSettings['rmi_enable'])) {
			
			$hasiconMI13 = '<td class="subject';
			$noiconMI13 = '<td style="padding-left: 10px;" class="subject';
			$rhtami[$hasiconMI13] = $noiconMI13;
			
			$hasiconMI14 = '<p class="floatleft smalltext">';
			$noiconMI14 = '<p class="floatleft smalltext" style="display:none">';
			$rhtami[$hasiconMI14] = $noiconMI14;

			$hasiconMI15 = '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';
			$noiconMI15 = '<th scope="col" class="first_th" width="4%" colspan="1">&nbsp;</th>';
			$rhtami[$hasiconMI15] = $noiconMI15;
			
			$hasiconMI16 = '<th scope="col" class="first_th" width="8%">&nbsp;</th>';
			$noiconMI16 = '<th scope="col" class="first_th" width="4%">&nbsp;</th>';
			$rhtami[$hasiconMI16] = $noiconMI16;
		}
		if (!empty($modSettings['rhti_enable'])) {

			$hasiconMI5 = '<td class="icon1 ' . $color_class . '">';
			$noiconMI5 = '<td class="icon1 ' . $color_class . '" style="display:none">';
			$rhtami[$hasiconMI5] = $noiconMI5;

			$hasiconMI7 = 'icon1 lockedbg">';
			$noiconMI7 = 'icon1 lockedbg" style="display:none">';
			$rhtami[$hasiconMI7] = $noiconMI7;
			
			$hasiconMI9 = 'icon1 stickybg">';
			$noiconMI9 = 'icon1 stickybg" style="display:none">';
			$rhtami[$hasiconMI9] = $noiconMI9;
			
			$hasiconMI11 = 'icon1 stickybg locked_sticky">';
			$noiconMI11 = 'icon1 stickybg locked_sticky" style="display:none">';
			$rhtami[$hasiconMI11] = $noiconMI11;
		}
		if (!empty($modSettings['rmi_enable'])) {
			
			$hasiconMI6 = '<td class="icon2 ' . $color_class . '">';
			$noiconMI6 = '<td class="icon2 ' . $color_class . '" style="display:none">';
			$rhtami[$hasiconMI6] = $noiconMI6;
			
			$hasiconMI8 = 'icon2 lockedbg">';
			$noiconMI8 = 'icon2 lockedbg" style="display:none">';
			$rhtami[$hasiconMI8] = $noiconMI8;
			
			$hasiconMI10 = 'icon2 stickybg">';
			$noiconMI10 = 'icon2 stickybg" style="display:none">';
			$rhtami[$hasiconMI10] = $noiconMI10;
			
			$hasiconMI12 = 'icon2 stickybg locked_sticky">';
			$noiconMI12 = 'icon2 stickybg locked_sticky" style="display:none">';
			$rhtami[$hasiconMI12] = $noiconMI12;
		}

		if (!empty($modSettings['rhti_enable']) && !empty($modSettings['rmi_enable'])) {

			$hasiconMI1 = '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';
			$noiconMI1 = '<th scope="col" class="first_th">';
			$rhtami[$hasiconMI1] = $noiconMI1;
			
			$hasiconMI2 = '<th scope="col" class="lefttext"><a href';
			$noiconMI2 = '<a href';
			$rhtami[$hasiconMI2] = $noiconMI2;
			
			$hasiconMI3 = '<th scope="col" class="first_th" width="8%">&nbsp;</th>';
			$noiconMI3 = '<th scope="col" class="first_th" colspan="3">';
			$rhtami[$hasiconMI3] = $noiconMI3;
			
			$hasiconMI4 = '<th colspan="3"><strong>' . $txt['msg_alert_none'] . '</strong></th>';
			$noiconMI4 = '<strong>' . $txt['msg_alert_none'] . '</strong></th>';
			$rhtami[$hasiconMI4] = $noiconMI4;

			$hasiconMI5 = '<td class="icon1 ' . $color_class . '">';
			$noiconMI5 = '<td class="icon1 ' . $color_class . '" style="display:none">';
			$rhtami[$hasiconMI5] = $noiconMI5;
			
			$hasiconMI6 = '<td class="icon2 ' . $color_class . '">';
			$noiconMI6 = '<td class="icon2 ' . $color_class . '" style="display:none">';
			$rhtami[$hasiconMI6] = $noiconMI6;

			$hasiconMI7 = 'icon1 lockedbg">';
			$noiconMI7 = 'icon1 lockedbg" style="display:none">';
			$rhtami[$hasiconMI7] = $noiconMI7;
			
			$hasiconMI8 = 'icon2 lockedbg">';
			$noiconMI8 = 'icon2 lockedbg" style="display:none">';
			$rhtami[$hasiconMI8] = $noiconMI8;
			
			$hasiconMI9 = 'icon1 stickybg">';
			$noiconMI9 = 'icon1 stickybg" style="display:none">';
			$rhtami[$hasiconMI9] = $noiconMI9;
			
			$hasiconMI10 = 'icon2 stickybg">';
			$noiconMI10 = 'icon2 stickybg" style="display:none">';
			$rhtami[$hasiconMI10] = $noiconMI10;
			
			$hasiconMI11 = 'icon1 stickybg locked_sticky">';
			$noiconMI11 = 'icon1 stickybg locked_sticky" style="display:none">';
			$rhtami[$hasiconMI11] = $noiconMI11;
			
			$hasiconMI12 = 'icon2 stickybg locked_sticky">';
			$noiconMI12 = 'icon2 stickybg locked_sticky" style="display:none">';
			$rhtami[$hasiconMI12] = $noiconMI12;
		}
	  }
	}
	if (function_exists('getLastPost') || function_exists('RecentPosts') || function_exists('UnreadTopics')) {

	  foreach ($context['topics'] as $topic)
	  {
			// Calculate the color class of the topic.
			$color_class = '';
			if (strpos($topic['class'], 'sticky') !== false)
				$color_class = 'stickybg';
			if (strpos($topic['class'], 'locked') !== false)
				$color_class .= 'lockedbg';

			$color_class2 = !empty($color_class) ? $color_class . '2' : '';
			
		if (!empty($modSettings['rhti_enable']) || !empty($modSettings['rmi_enable'])) {
		
			$hasiconRP1 = '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';
			$noiconRP1 = '<th scope="col" class="first_th" width="4%" colspan="1">&nbsp;</th>';
			$rhtami[$hasiconRP1] = $noiconRP1;
			
			$hasiconRP5 = $color_class2 . ' windowbg2">';
			$noiconRP5 = $color_class2 . ' windowbg2" style="padding-left: 10px;">';
			$rhtami[$hasiconRP5] = $noiconRP5;
			
			$hasiconRP6 = '<p class="smalltext floatleft">';
			$noiconRP6 = '<p class="smalltext floatleft" style="display:none">';
			$rhtami[$hasiconRP6] = $noiconRP6;
		}
		if (!empty($modSettings['rhti_enable'])) {
			
			$hasiconRP3 = 'icon1 windowbg">';
			$noiconRP3 = 'icon1 windowbg" style="display:none">';
			$rhtami[$hasiconRP3] = $noiconRP3;
		}
		if (!empty($modSettings['rmi_enable'])) {
			
			$hasiconRP4 = 'icon2 windowbg">';
			$noiconRP4 = 'icon2 windowbg" style="display:none">';
			$rhtami[$hasiconRP4] = $noiconRP4;
		}
			
		if (!empty($modSettings['rhti_enable']) && !empty($modSettings['rmi_enable'])) {
		
			$hasiconRP1 = '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';
			$noiconRP1 = '<th scope="col" class="first_th">';
			$rhtami[$hasiconRP1] = $noiconRP1;
			
			$hasiconRP2 = '<th scope="col">';
			$noiconRP2 = '';
			$rhtami[$hasiconRP2] = $noiconRP2;
			
			$hasiconRP3 = 'icon1 windowbg">';
			$noiconRP3 = 'icon1 windowbg" style="display:none">';
			$rhtami[$hasiconRP3] = $noiconRP3;
			
			$hasiconRP4 = 'icon2 windowbg">';
			$noiconRP4 = 'icon2 windowbg" style="display:none">';
			$rhtami[$hasiconRP4] = $noiconRP4;
		}
	  }
	}
	if (!empty($modSettings['rmi_enable']) && (function_exists('Display') || function_exists('QuickInTopicModeration'))) {
			$hasiconD1 = '<div class="messageicon">';
			$noiconD1 = '<div class="messageicon" style="display:none">';
			$rhtami[$hasiconD1] = $noiconD1;
	}
	if (!empty($modSettings['rmi_enable']) && function_exists('Post')) {
			$hasiconP1 = '<dt class="clear_left">';
			$noiconP1 = '<dt class="clear_left" style="display:none">';
			$rhtami[$hasiconP1] = $noiconP1;
			$hasiconP2 = '<select name="icon" id="icon" onchange="showimage()">';
			$noiconP2 = '<select name="icon" id="icon" onchange="showimage()" style="display:none">';
			$rhtami[$hasiconP2] = $noiconP2;
			$hasiconP3 = 'name="icons" hspace="15" alt="" />';
			$noiconP3 = 'name="icons" hspace="15" alt="" style="display:none" />';
			$rhtami[$hasiconP3] = $noiconP3;
	}
	// Now let's change them, if we're allowed to
	return str_replace(array_keys($rhtami), array_values($rhtami), $buffer);
}

function RHTAMI_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('RHTAMI');
	// Add setting(s)
	$rhtami = array(
			array('check', 'rhti_enable'),
			array('check', 'rmi_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $rhtami);
}
?>